{
    "computeLearningCurves": false,
    "algorithm": "RANDOM_FOREST_CLASSIFICATION",
    "grid_search_params": {
        "nIter": 0,
        "nJobs": 4,
        "nIterRandom": 5,
        "bayesianOptimizer": "SCIKIT_OPTIMIZE",
        "strategy": "GRID",
        "randomized": true,
        "shuffleIterations": 1,
        "seed": 0,
        "mode": "KFOLD",
        "timeout": 0,
        "cvSeed": 1337,
        "splitRatio": 0.8,
        "nFolds": 3,
        "stratified": true,
        "foldOffset": true
    },
    "autoOptimizeThreshold": true,
    "gridLength": 2,
    "metrics": {
        "thresholdOptimizationMetric": "F1",
        "liftPoint": 0.4,
        "costMatrixWeights": {
            "fnGain": 0.0,
            "tpGain": 1.0,
            "tnGain": 0.0,
            "fpGain": -0.3
        },
        "evaluationMetric": "ROC_AUC"
    },
    "forcedClassifierThreshold": 0.0,
    "rf_classifier_grid": {
        "n_jobs": 4,
        "max_tree_depth": {
            "gridMode": "EXPLICIT",
            "randomMode": "RANGE",
            "range": {
                "scaling": "LINEAR",
                "max": 10,
                "nbValues": 3,
                "min": 5
            },
            "values": [
                6,
                16
            ],
            "limit": {
                "min": 1
            }
        },
        "selection_mode": "sqrt",
        "enabled": true,
        "min_samples_leaf": {
            "gridMode": "EXPLICIT",
            "randomMode": "RANGE",
            "range": {
                "scaling": "LINEAR",
                "max": 20,
                "nbValues": 3,
                "min": 1
            },
            "values": [
                1
            ],
            "limit": {
                "min": 1
            }
        },
        "n_estimators": {
            "gridMode": "EXPLICIT",
            "randomMode": "RANGE",
            "range": {
                "scaling": "LINEAR",
                "max": 200,
                "nbValues": 3,
                "min": 80
            },
            "values": [
                100
            ],
            "limit": {
                "min": 1
            }
        },
        "max_feature_prop": {
            "gridMode": "EXPLICIT",
            "randomMode": "RANGE",
            "range": {
                "scaling": "LINEAR",
                "max": 0.7,
                "nbValues": 3,
                "min": 0.1
            },
            "values": [
                0.3
            ],
            "limit": {
                "max": 1.0,
                "min": 1e-23
            }
        },
        "max_features": {
            "gridMode": "EXPLICIT",
            "randomMode": "RANGE",
            "range": {
                "scaling": "LINEAR",
                "max": 20,
                "nbValues": 3,
                "min": 1
            },
            "values": [
                5
            ],
            "limit": {
                "min": 1
            }
        }
    },
    "max_ensemble_nodes_serialized": 6000,
    "pluginAlgoCustomGridSearch": false,
    "skipExpensiveReports": false
}